Bug 17851 - Add elasticsearch config to koha-conf.xml
Summary: Add elasticsearch config to koha-conf.xml
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Johanna Räisä
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-05 12:05 UTC by Olli-Antti Kivilahti
Modified: 2019-10-07 13:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 17851 - Add elasticsearch config to koha-conf.xml (4.78 KB, patch)
2017-01-05 12:14 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log (808 bytes, patch)
2017-01-13 15:10 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 17851 - Add elasticsearch config to koha-conf.xml (5.17 KB, patch)
2019-07-04 11:53 UTC, Johanna Räisä
Details | Diff | Splinter Review
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log (890 bytes, patch)
2019-07-04 11:54 UTC, Johanna Räisä
Details | Diff | Splinter Review
Bug 17851 - Add elasticsearch config to koha-conf.xml (5.23 KB, patch)
2019-10-03 09:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log (945 bytes, patch)
2019-10-03 09:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17851: Add elasticsearch config to koha-conf.xml (5.23 KB, patch)
2019-10-03 09:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17851: Add Elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log (944 bytes, patch)
2019-10-03 09:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-01-05 12:05:45 UTC
Following the Elasticsearch installation instructions from:
https://wiki.koha-community.org/wiki/Elasticsearch

the <elasticsearch> config seems to be missing.

This patch adds interactive Elasticsearch-questions to the Makefile.PL to configure ES.
Comment 1 Olli-Antti Kivilahti 2017-01-05 12:14:51 UTC
Created attachment 58611 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml

Missing installer for debian packages.
Comment 2 Olli-Antti Kivilahti 2017-01-13 15:10:01 UTC
Created attachment 58956 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log
Comment 3 Tomás Cohen Arazi 2017-10-13 19:16:24 UTC
Olli, it would be great if you could rework this one, on top of 19465 (which takes care of packages). So strip that part out, and keep your addition to Makefile.PL and friends.
Thanks!
Comment 4 Tomás Cohen Arazi 2019-03-19 13:23:35 UTC
There's already <elasticsearch> in the koha-conf.xml* files. But you should recover the changes to Makefile.PL on this patchset, Olli.
Comment 5 Johanna Räisä 2019-07-04 11:53:33 UTC
Created attachment 91288 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml

Fixed to apply master.
Comment 6 Johanna Räisä 2019-07-04 11:54:34 UTC
Created attachment 91289 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log

Fixed to apply master.
Comment 7 Nick Clemens 2019-10-03 09:40:04 UTC
Created attachment 93542 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml

Missing installer for debian packages.

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Johanna Raisa <johanna.raisa@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2019-10-03 09:40:13 UTC
Created attachment 93543 [details] [review]
Bug 17851 - Add elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Johanna Raisa <johanna.raisa@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Katrin Fischer 2019-10-03 09:57:23 UTC
Created attachment 93547 [details] [review]
Bug 17851: Add elasticsearch config to koha-conf.xml

Missing installer for debian packages.

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Johanna Raisa <johanna.raisa@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Katrin Fischer 2019-10-03 09:57:35 UTC
Created attachment 93548 [details] [review]
Bug 17851: Add Elasticsearch config to koha-conf.xml - Add missing entries to koha-install-log

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Johanna Raisa <johanna.raisa@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Katrin Fischer 2019-10-03 09:58:16 UTC
Fixed commit messages (Bug XXXX:)
Comment 12 Martin Renvoize 2019-10-07 13:10:18 UTC
Nice work!

Pushed to master for 19.11.00